=== modified file 'mandos'
--- mandos	2011-11-27 19:52:18 +0000
+++ mandos	2011-11-27 19:37:54 +0000
@@ -128,12 +128,11 @@
     logger.setLevel(level)
 
 
-class PGPError(Exception):
-    """Exception if encryption/decryption fails"""
+class CryptoError(Exception):
     pass
 
 
-class PGPEngine(object):
+class Crypto(object):
     """A simple class for OpenPGP symmetric encryption & decryption"""
     def __init__(self):
         self.gnupg = GnuPGInterface.GnuPG()
@@ -185,7 +184,7 @@
                     ciphertext = f.read()
                 proc.wait()
             except IOError as e:
-                raise PGPError(e)
+                raise CryptoError(e)
         self.gnupg.passphrase = None
         return ciphertext
     
@@ -202,7 +201,7 @@
                     decrypted_plaintext = f.read()
                 proc.wait()
             except IOError as e:
-                raise PGPError(e)
+                raise CryptoError(e)
         self.gnupg.passphrase = None
         return decrypted_plaintext
 
@@ -2219,7 +2218,7 @@
             if e.errno != errno.ENOENT:
                 raise
     
-    with PGPEngine() as pgp:
+    with Crypto() as crypt:
         for client in clients_data:
             client_name = client["name"]
             
@@ -2285,11 +2284,11 @@
             
             try:
                 tcp_server.clients[client_name].secret = (
-                    pgp.decrypt(tcp_server.clients[client_name]
-                                .encrypted_secret,
-                                client_settings[client_name]
-                                ["secret"]))
-            except PGPError:
+                    crypt.decrypt(tcp_server.clients[client_name]
+                                  .encrypted_secret,
+                                  client_settings[client_name]
+                                  ["secret"]))
+            except CryptoError:
                 # If decryption fails, we use secret from new settings
                 tcp_server.clients[client_name].secret = (
                     client_settings[client_name]["secret"])
@@ -2396,11 +2395,11 @@
         # based on what config file has. If config file is
         # removed/edited, old secret will thus be unrecovable.
         clients = []
-        with PGPEngine() as pgp:
+        with Crypto() as crypt:
             for client in tcp_server.clients.itervalues():
                 key = client_settings[client.name]["secret"]
-                client.encrypted_secret = pgp.encrypt(client.secret,
-                                                      key)
+                client.encrypted_secret = crypt.encrypt(client.secret,
+                                                        key)
                 client_dict = {}
                 
                 # A list of attributes that will not be stored when

